Bug Hunting Session
Bug 92997 - Chart: Data table category view format bad for table of times
Summary: Chart: Data table category view format bad for table of times
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-29 12:38 UTC by Dr. David Alan Gilbert
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Chart showing problem (15.53 KB, application/vnd.oasis.opendocument.presentation)
2015-07-29 12:38 UTC, Dr. David Alan Gilbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. David Alan Gilbert 2015-07-29 12:38:03 UTC
Created attachment 117513 [details]
Chart showing problem

See attached

Open the document
click on the chart
right click -> Edit
View->Chart data table

See that the 'Categories' data doesn't tie up with what is displayed.
This data started out as a series of times, all on the same day, and while I can see on the graph the real times, I can't see those at all in the Cateogries view.

A similar issue, is that if I edit X-axis, and edit the scale, and set it to 'Date' the smallest interval I can select is a single day; there's no way to format based on time.

(Fedora 22 libreoffice-4.4.4.3-6.fc22.x86_64)
Comment 1 Eike Rathke 2015-07-29 13:50:18 UTC
Reproduced, already in 4.2.8
Comment 2 Commit Notification 2015-08-10 13:21:22 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=711b34d590e659ed754f7c57b3b5eb12acfbbd78

tdf#92997 obtain a date/time edit format according to field value

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2015-08-10 15:53:32 UTC
Pending review
https://gerrit.libreoffice.org/17627 for 5-0
https://gerrit.libreoffice.org/17630 for 4-0
Comment 4 Commit Notification 2015-08-15 22:14:19 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b541437c27be33f4c8ab778dde4e1fded58329d9&h=libreoffice-5-0

tdf#92997 obtain a date/time edit format according to field value

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-08-25 15:14:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ece62a1610fdffb9177a311c60abdbacf454e90d&h=libreoffice-4-4

tdf#92997 obtain a date/time edit format according to field value

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.